<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Theme Palace
 * @subpackage  Pushpa
 * @since  Pushpa 1.0.0
 */

get_header(); 
$options = pushpa_get_theme_options();

?>

	<div id="inner-content-wrapper" class="wrapper page-section">
		<div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">
				<div id="pushpa_primary_posts" class="grid-layout">
					<?php
					if ( have_posts() ) : ?>

						<?php
						/* Start the Loop */
						while ( have_posts() ) : the_post();

							/*
							* Include the Post-Format-specific template for the content.
							* If you want to override this in a child theme, then include a file
							* called content-___.php (where ___ is the Post Format name) and that will be used instead.
							*/
							get_template_part( 'template-parts/content', get_post_format() );

						endwhile;

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif; ?>
					<?php  
					/**
					* Hook - pushpa_action_pagination.
					*
					* @hooked pushpa_pagination 
					*/
					do_action( 'pushpa_action_pagination' ); 

					/**
					* Hook - pushpa_infinite_loader_spinner_action.
					*
					* @hooked pushpa_infinite_loader_spinner 
					*/
					do_action( 'pushpa_infinite_loader_spinner_action' );
					?>
				</div><!-- #div -->
			</main>
		</div><!-- #primary -->

		<?php  
		if ( pushpa_is_sidebar_enable() ) {
			get_sidebar();
		}
		?>
	</div><!-- .wrapper -->

<?php
get_footer();
